# create-swdg-frontend

Scaffold a new project from the SWDG frontend template.

## Usage

```bash
pnpm create swdg-frontend my-app
# or
pnpm dlx create-swdg-frontend my-app
```

## Sync template

```bash
pnpm run sync-template
```

You can override the template repo and branch:

```bash
TEMPLATE_REPO=http://10.20.124.70/bim/frontend-framework.git TEMPLATE_BRANCH=main pnpm run sync-template
```

You can also sync from a local template directory:

```bash
TEMPLATE_DIR="/Users/inupedia/Side Projects/frontend-framework" pnpm run sync-template
```
